## org.omg.CORBA
Class PrincipalHolder

    java.lang.Object
      |
      +--org.omg.CORBA.PrincipalHolder

All Implemented Interfaces:
  Streamable

Deprecated. Deprecated by CORBA2.2.

public final class PrincipalHolder
extends java.lang.Object
implements Streamable

Field Summary
`Principal` `value` Deprecated.

Constructor Summary
`PrincipalHolder()` Deprecated.
`PrincipalHolder(Principal initial)` Deprecated.

Method Summary
`void` `_read(InputStream is)` Deprecated.
`TypeCode` `_type()` Deprecated.
`void` `_write(OutputStream os)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public Principal value

  Deprecated.

Constructor Detail

### PrincipalHolder

    public PrincipalHolder()

  Deprecated.

### PrincipalHolder

    public PrincipalHolder(Principal initial)

  Deprecated.

Method Detail

### _read

    public void _read(InputStream is)

  Deprecated.
  Specified by:
    `_read` in interface `Streamable`

### _write

    public void _write(OutputStream os)

  Deprecated.
  Specified by:
    `_write` in interface `Streamable`

### _type

    public TypeCode _type()

  Deprecated.
  Specified by:
    `_type` in interface `Streamable`